(function() {
	'use strict';

	function run() {
		var macroUID = Application("Keyboard Maestro Engine").getvariable("msMacroUID");
		if (!macroUID)
			throw Error("Empty parameter 'msMacroUID'");

		Application("Keyboard Maestro").editmacro(macroUID);
		return "OK";
	}

	try {
		return run();
	} catch (e) {
		return "Error: " + e.message;
	}
})()